[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'Sockets' (#rtl)

# HostAddrToStr6

Convert a IPV6 host address to a string representation.

## Declaration

Source position: socketsh.inc line 227

`function HostAddrToStr6(`
`Entry: Tin6_addr`
`):AnsiString;`

## Description

HostAddrToStr6 converts the IPV6 host address in Entry to a string representation in human-readable form.

Basically, it is the same as NetAddrToStr6, but with the bytes in correct order.

## See also

NetAddrToStr |  | Convert a network address to a string.
StrToHostAddr |  | Convert a string to a host address.
StrToNetAddr |  | Convert a string to a network address.
StrToHostAddr6 |  | Convert a string to a IPV6 host address.

Documentation generated on: Feb 26 2014